html, body {
  height: 100%;
}

fieldset {
  width: 100%;
}

ui-group {
  width: 100%;
}

.ui-page {
  height: 100%;
}

.flex {
  display: flex;

  &.wrap {
    flex-wrap: wrap;
  }

  &.wrap-reverse {
    flex-wrap: wrap-reverse;
  }

  &.no-wrap {
    flex-wrap: nowrap;
  }

  .align-start {
    align-items: flex-start;
  }

  .align-center {
    align-items: center;
  }

  .align-end {
    align-items: flex-end;
  }

  .grow {
    flex-grow: 0;
  }

  .grow-one {
    flex-grow: 1;
  }

  .grow-two {
    flex-grow: 2;
  }

  .grow-three {
    flex-grow: 3;
  }

  .grow-four {
    flex-grow: 4;
  }

  .grow-five {
    flex-grow: 5;
  }

  .order-one {
    order: 1;
  }

  .order-two {
    order: 2;
  }

  .order-three {
    order: 3;
  }

  .order-four {
    order: 4;
  }

  .order-five {
    order: 5;
  }

  .basis-one {
    flex-basis: 10%;
  }

  .basis-two {
    flex-basis: 20%;
  }

  .basis-three {
    flex-basis: 30%;
  }

  .basis-four {
    flex-basis: 40%;
  }

  .basis-five {
    flex-basis: 50%;
  }

  .basis-six {
    flex-basis: 60%;
  }

  .basis-seven {
    flex-basis: 70%;
  }

  .basis-eight {
    flex-basis: 80%;
  }

  .basis-nine {
    flex-basis: 90%;
  }

  .basis-ten {
    flex-basis: 100%;
  }
}

.group {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
}

.group-shell-wrap {
  padding: 5px 10px 5px 5px;
  background: #ececec;
  border-radius: 4px;
  margin: 10px 0;
}

.group-shell > :first-child {
  width: 100%;
}

.shell {
  margin: 5px 0 5px 5px;
}

.newspaper {
  border-radius: 4px;
  background: #f1f1f1;
  padding: 20px;
}

.newspaper-light {
  border-radius: 4px;
  background: #f9f9f9;
  padding: 20px;
}

label {
  margin-bottom: 0; // Bootstrap;
  // width: 100%;
  // border-bottom: 1px solid #1d2124;
  // color: #1d2124;
}
input[type='checkbox'] {
  width: auto;
}

input {
  border-radius: 2px;
  height: 38px;
  width: 100%;
  padding: 0 5px;
}

.ng-valid[required], .ng-valid.required  {
  border-left: 5px solid #42A948; /* green */
}

input.ng-invalid.ng-dirty, .errors input.ng-invalid  {
  border: 2px solid #ad0423;
}
